Skip to content

Set new sandbox entitlements, including granting and revoking allowances, for the given sandbox name.

POST/api/{version}/objects/sandbox/entitlements/set
NameDescription
Acceptapplication/json (default) or application/xml
Content-Typeapplication/x-www-form-urlencoded
NameDescription
name
required
The name of the sandbox Vault, which appears on the My Vaults page. Providing a new name creates a new sandbox, whereas providing an existing name refreshes the existing sandbox. How often you can refresh a Vault depends on its size. Learn more about refreshing sandboxes in Vault Help.
size
required
The size of the sandbox: Small, Medium, Large, Very Large, Extra Large, or Full. Learn more about sandbox sizes and their limits in Vault Help.
allowance
required
The number of entitlements to grant or revoke.
grant
required
Allowed values true and false. True grants allowances and false revokes them.
temporary_allowance
optional
The number of temporary sandbox allowances to grant or revoke.
curl -X POST -H "Authorization: {SESSION_ID}" \ 'https://myvault.veevavault.com/api/v26.1/objects/sandbox/entitlements/set' \ -H 'Content-Type: application/x-www-form-urlencoded' \ -d 'name=VeePharm Sandbox' \ -d 'size=Small' \ -d 'allowance=1' \ -d 'grant=true'
{ "responseStatus": "SUCCESS", "data": { "entitlements": [ { "size": "Small", "available": 2, "allowed": 4, "temporary": 0 }, { "size": "Large", "available": 2, "allowed": 2, "temporary": 0 }, { "size": "Full", "available": 0, "allowed": 1, "temporary": 0 } ] } }